Bug 93768

Summary: [PATCH] finance/kmymoney2: update to 0.8.3
Product: Ports & Packages Reporter: alecn2002 <alecn2002>
Component: Individual Port(s)Assignee: Sam Lawrance <lawrance>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description alecn2002 2006-02-23 21:50:03 UTC
- Update to 0.8.3

Please remove PR ports/93277 as it's obsoleted with this one

Added file(s):
- files/patch-configure

Removed file(s):
- files/patch-kmymoney2_dialogs-kcurrencycalculatordecl.ui
- files/patch-kmymoney2_dialogs-kcurrencyeditdlgdecl.ui
- files/patch-kmymoney2_dialogs-keditequityentrydecl.ui
- files/patch-kmymoney2_dialogs-keditschedtransdlgdecl.ui
- files/patch-kmymoney2_dialogs-kendingbalancedlgdecl.ui
- files/patch-kmymoney2_dialogs-kenterscheduledialogdecl.ui
- files/patch-kmymoney2_dialogs-kexportdlgdecl.ui
- files/patch-kmymoney2_dialogs-kfindtransactiondlgdecl.ui
- files/patch-kmymoney2_dialogs-kmymoneypricedlgdecl.ui
- files/patch-kmymoney2_dialogs-knewaccountdlgdecl.ui
- files/patch-kmymoney2_dialogs-knewaccountwizarddecl.ui
- files/patch-kmymoney2_dialogs-knewequityentrydecl.ui
- files/patch-kmymoney2_dialogs-knewinvestmentwizarddecl.ui
- files/patch-kmymoney2_dialogs-knewloanwizarddecl.ui
- files/patch-kmymoney2_dialogs-ksplittransactiondlgdecl.ui
- files/patch-kmymoney2_dialogs-kupdatestockpricedlgdecl.ui
- files/patch-kmymoney2_views-kbankviewdecl.ui
- files/patch-kmymoney2_views-kcategoriesviewdecl.ui
- files/patch-kmymoney2_views-kinvestmentviewdecl.ui
- files/patch-kmymoney2_views-kpayeesviewdecl.ui
- files/patch-kmymoney2_views-kscheduledviewdecl.ui

Port maintainer (alecn2002@yandex.ru) is cc'd.

Generated with FreeBSD Port Tools 0.63

Fix: 

--- End of forwarded message --


-- 
ñÎÄÅËÓ.ðÏÞÔÁ: ÏÂßÅÍ ÐÏÞÔÏ×ÏÇÏ ÑÝÉËÁ ÎÅ ÏÇÒÁÎÉÞÅÎ! http://mail.yandex.ru/monitoring/--UW38ZixqWObMXCWDTrmyfAIqbhVE7nqsDLy6MPCI4yCCS8l2
Content-Type: text/plain; name="kmymoney2-0.8.3.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="kmymoney2-0.8.3.patch"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/finance/kmymoney2/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- Makefile	23 Feb 2006 10:36:29 -0000	1.8
+++ Makefile	23 Feb 2006 21:20:25 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	kmymoney2
-PORTVERSION=	0.7.5
-PORTREVISION=	2
+PORTVERSION=	0.8.3
 CATEGORIES=	finance
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -17,11 +16,27 @@
 
 USE_KDELIBS_VER=	3
 USE_GMAKE=		yes
+GNU_CONFIGURE=	yes
 USE_AUTOTOOLS=		libtool:15
 USE_PERL5=		yes
 USE_BZIP2=		yes
 INSTALLS_SHLIB=		yes
 
+# Currently no possibility to enable OFX; requires additional work
+.undef WITH_OFX
+WITHOUT_OFX=	yes
+
+BUILD_DEPENDS=	${LOCALBASE}/bin/bash:${PORTSDIR}/shells/bash
+LIB_DEPENDS=	osp.3:${PORTSDIR}/textproc/opensp
+.if defined(WITH_OFX) && !defined(WITHOUT_OFX)
+LIB_DEPENDS+=	ofx.2:${PORTSDIR}/finance/libofx
+CONFIGURE_ARGS=	--enable-ofxplugin
+OFXPLUGIN=
+.else
+CONFIGURE_ARGS=	--enable-ofxplugin=no
+OFXPLUGIN=	"@comment "
+.endif
+
 MAN1=			kmymoney2.1
 MANCOMPRESSED=		yes
 
@@ -33,5 +48,8 @@
 .if ${OSVERSION} < 500000
 BROKEN=		"Does not build on 4.x"
 .endif
+
+post-patch:
+	${REINPLACE_CMD} -E -e "s|%%LOCALBASE%%|${LOCALBASE}|g" ${WRKSRC}/configure
 
 .include <bsd.port.post.mk>
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/finance/kmymoney2/distinfo,v
retrieving revision 1.4
diff -u -r1.4 distinfo
--- distinfo	22 Jan 2006 09:47:45 -0000	1.4
+++ distinfo	23 Feb 2006 21:20:25 -0000
@@ -1,3 +1,3 @@
-MD5 (kmymoney2-0.7.5.tar.bz2) = 40a5667476a06cb2fbc30e7f9417ebbf
-SHA256 (kmymoney2-0.7.5.tar.bz2) = 09afb2f66a274cf76f56301b7c9936d133413e48fe628a5ea7ed426cc8f34c6a
-SIZE (kmymoney2-0.7.5.tar.bz2) = 5668425
+MD5 (kmymoney2-0.8.3.tar.bz2) = eae0b003b4e9455c8a18943d86f27759
+SHA256 (kmymoney2-0.8.3.tar.bz2) = 5d147e1bc7c09251d56ae935ce57b579ba362307573f7a4bb9a5c2fc132761f8
+SIZE (kmymoney2-0.8.3.tar.bz2) = 5812098
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/finance/kmymoney2/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	23 Feb 2006 10:36:29 -0000	1.4
+++ pkg-plist	23 Feb 2006 21:20:25 -0000
@@ -30,11 +30,9 @@
 include/kmymoney/statementinterface.h
 include/kmymoney/viewinterface.h
 lib/libkmm_mymoney.a
-lib/libkmm_mymoney.la
 lib/libkmm_mymoney.so
 lib/libkmm_mymoney.so.1
 lib/libkmm_plugin.a
-lib/libkmm_plugin.la
 lib/libkmm_plugin.so
 lib/libkmm_plugin.so.0
 share/applications/kde/kmymoney2.desktop
@@ -210,6 +208,8 @@
 %%DOCSDIR%%/common
 %%DOCSDIR%%/confirmenter.png
 %%DOCSDIR%%/credits.docbook
+%%DOCSDIR%%/currency_newpriceentry.png
+%%DOCSDIR%%/currency_priceeditor.png
 %%DOCSDIR%%/date_widget.png
 %%DOCSDIR%%/default_prompt.png
 %%DOCSDIR%%/details-accounts.docbook
@@ -256,6 +256,7 @@
 %%DOCSDIR%%/investment-onlineupdate.png
 %%DOCSDIR%%/investment-currencywarning.png
 %%DOCSDIR%%/investment-exchangerateeditor.png
+%%DOCSDIR%%/investments_summarytab.png
 %%DOCSDIR%%/investments_view.png
 %%DOCSDIR%%/kmt.png
 %%DOCSDIR%%/ledger_more.png
@@ -275,6 +276,9 @@
 %%DOCSDIR%%/payees_view.png
 %%DOCSDIR%%/payeeview.png
 %%DOCSDIR%%/qif_report.png
+%%DOCSDIR%%/qifimport-export.png
+%%DOCSDIR%%/qifimport-qifprofiledate.png
+%%DOCSDIR%%/qifimport-qifprofileeditor.png
 %%DOCSDIR%%/qifimportverify.png
 %%DOCSDIR%%/qifopen.png
 %%DOCSDIR%%/reconcile.png
@@ -284,6 +288,9 @@
 %%DOCSDIR%%/reconcile4.png
 %%DOCSDIR%%/reference.docbook
 %%DOCSDIR%%/register.png
+%%DOCSDIR%%/report_configuration-reporttab.png
+%%DOCSDIR%%/report_configuration-rowscolumns.png
+%%DOCSDIR%%/reports_view-all.png
 %%DOCSDIR%%/reports_view.png
 %%DOCSDIR%%/schedcaltypes.png
 %%DOCSDIR%%/schedmonthday.png
@@ -310,17 +317,19 @@
 %%DOCSDIR%%/views-reports.docbook
 %%DOCSDIR%%/views-schedules.docbook
 %%DOCSDIR%%/whatsnew.docbook
-share/icons/hicolor/128x128/apps/kmymoney2.png
 share/icons/hicolor/128x128/mimetypes/kmy.png
-share/icons/hicolor/16x16/apps/kmymoney2.png
 share/icons/hicolor/16x16/mimetypes/kmy.png
-share/icons/hicolor/32x32/apps/kmymoney2.png
 share/icons/hicolor/32x32/mimetypes/kmy.png
 share/icons/hicolor/48x48/mimetypes/kmy.png
-share/icons/hicolor/64x64/apps/kmymoney2.png
 share/icons/hicolor/64x64/mimetypes/kmy.png
+share/icons/hicolor/128x128/apps/kmymoney2.png
+share/icons/hicolor/16x16/apps/kmymoney2.png
+share/icons/hicolor/32x32/apps/kmymoney2.png
+share/icons/hicolor/48x48/apps/kmymoney2.png
+share/icons/hicolor/64x64/apps/kmymoney2.png
 share/icons/locolor/16x16/apps/kmymoney2.png
 share/icons/locolor/32x32/apps/kmymoney2.png
+share/locale/da/LC_MESSAGES/kmymoney2.mo
 share/locale/de/LC_MESSAGES/kmymoney2.mo
 share/locale/en_GB/LC_MESSAGES/kmymoney2.mo
 share/locale/es/LC_MESSAGES/kmymoney2.mo
Index: files/patch-configure
===================================================================
RCS file: files/patch-configure
diff -N files/patch-configure
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/patch-configure	23 Feb 2006 21:20:25 -0000
@@ -0,0 +1,23 @@
+--- configure.orig	Thu Feb 23 19:02:14 2006
++++ configure	Thu Feb 23 19:08:19 2006
+@@ -1,4 +1,4 @@
+-#! /bin/sh
++#! %%LOCALBASE%%/bin/bash
+ # Guess values for system-dependent variables and create Makefiles.
+ # Generated by GNU Autoconf 2.59.
+ #
+@@ -36106,11 +36106,11 @@
+ 
+ { (exit 0); exit 0; }
+ _ACEOF
+-if test "x$with_fast_perl" = "xyes"; then    
++if test "x$with_fast_perl" = "xyes"; then
+   perl -i.bak $ac_aux_dir/conf.change.pl $CONFIG_STATUS    \
+-    || mv $CONFIG_STATUS.bak $CONFIG_STATUS    
++    || mv $CONFIG_STATUS.bak $CONFIG_STATUS
+   rm -f $CONFIG_STATUS.bak
+-fi    
++fi
+ chmod +x $CONFIG_STATUS
+ ac_clean_files=$ac_clean_files_save
+ 
Index: files/patch-kmymoney2_dialogs-kcurrencycalculatordecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kcurrencycalculatordecl.ui
diff -N files/patch-kmymoney2_dialogs-kcurrencycalculatordecl.ui
--- files/patch-kmymoney2_dialogs-kcurrencycalculatordecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- kmymoney2/dialogs/kcurrencycalculatordecl.ui.orig	Tue Sep 27 22:55:46 2005
-+++ kmymoney2/dialogs/kcurrencycalculatordecl.ui	Tue Sep 27 23:00:12 2005
-@@ -378,8 +378,4 @@
-     <tabstop>m_cancelButton</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kcurrencyeditdlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kcurrencyeditdlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kcurrencyeditdlgdecl.ui
--- files/patch-kmymoney2_dialogs-kcurrencyeditdlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- kmymoney2/dialogs/kcurrencyeditdlgdecl.ui.orig	Tue Sep 27 23:06:09 2005
-+++ kmymoney2/dialogs/kcurrencyeditdlgdecl.ui	Tue Sep 27 23:06:17 2005
-@@ -301,7 +301,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneylineedit.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-keditequityentrydecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-keditequityentrydecl.ui
diff -N files/patch-kmymoney2_dialogs-keditequityentrydecl.ui
--- files/patch-kmymoney2_dialogs-keditequityentrydecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- kmymoney2/dialogs/keditequityentrydecl.ui.orig	Tue Sep 27 23:09:14 2005
-+++ kmymoney2/dialogs/keditequityentrydecl.ui	Tue Sep 27 23:09:23 2005
-@@ -303,8 +303,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneypriceview.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-keditschedtransdlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-keditschedtransdlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-keditschedtransdlgdecl.ui
--- files/patch-kmymoney2_dialogs-keditschedtransdlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,21 +0,0 @@
---- kmymoney2/dialogs/keditschedtransdlgdecl.ui.orig	Tue Sep 27 23:12:08 2005
-+++ kmymoney2/dialogs/keditschedtransdlgdecl.ui	Tue Sep 27 23:13:09 2005
-@@ -856,18 +856,6 @@
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
- <includehints>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyaccountcombo.h</includehint>
--    <includehint>kmymoneycombo.h</includehint>
--    <includehint>kmymoneycombo.h</includehint>
--    <includehint>kmymoneyaccountcombo.h</includehint>
--    <includehint>kmymoneypayee.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneycategory.h</includehint>
--    <includehint>kpushbutton.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kpushbutton.h</includehint>
--    <includehint>kpushbutton.h</includehint>
-     <includehint>kpushbutton.h</includehint>
- </includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kendingbalancedlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kendingbalancedlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kendingbalancedlgdecl.ui
--- files/patch-kmymoney2_dialogs-kendingbalancedlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,22 +0,0 @@
---- kmymoney2/dialogs/kendingbalancedlgdecl.ui.orig	Tue Sep 27 23:15:38 2005
-+++ kmymoney2/dialogs/kendingbalancedlgdecl.ui	Tue Sep 27 23:16:14 2005
-@@ -1060,19 +1060,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneycategory.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneycategory.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kenterscheduledialogdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kenterscheduledialogdecl.ui
diff -N files/patch-kmymoney2_dialogs-kenterscheduledialogdecl.ui
--- files/patch-kmymoney2_dialogs-kenterscheduledialogdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
---- kmymoney2/dialogs/kenterscheduledialogdecl.ui.orig	Tue Sep 27 23:21:51 2005
-+++ kmymoney2/dialogs/kenterscheduledialogdecl.ui	Tue Sep 27 23:22:25 2005
-@@ -655,12 +655,4 @@
-     </connection>
- </connections>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneypayee.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneycategory.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyaccountcombo.h</includehint>
--    <includehint>kmymoneyaccountcombo.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kexportdlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kexportdlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kexportdlgdecl.ui
--- files/patch-kmymoney2_dialogs-kexportdlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,15 +0,0 @@
---- kmymoney2/dialogs/kexportdlgdecl.ui.orig	Tue Sep 27 23:24:19 2005
-+++ kmymoney2/dialogs/kexportdlgdecl.ui	Tue Sep 27 23:25:22 2005
-@@ -506,12 +506,6 @@
- <layoutdefaults spacing="6" margin="11"/>
- <includehints>
-     <includehint>kpushbutton.h</includehint>
--    <includehint>kmymoneyaccountcombo.h</includehint>
-     <includehint>kcombobox.h</includehint>
--    <includehint>kpushbutton.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kpushbutton.h</includehint>
--    <includehint>kpushbutton.h</includehint>
- </includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kfindtransactiondlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kfindtransactiondlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kfindtransactiondlgdecl.ui
--- files/patch-kmymoney2_dialogs-kfindtransactiondlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,20 +0,0 @@
---- kmymoney2/dialogs/kfindtransactiondlgdecl.ui.orig	Tue Sep 27 23:27:03 2005
-+++ kmymoney2/dialogs/kfindtransactiondlgdecl.ui	Tue Sep 27 23:28:18 2005
-@@ -1302,17 +1302,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneyregistersearch.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kmymoneypricedlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kmymoneypricedlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kmymoneypricedlgdecl.ui
--- files/patch-kmymoney2_dialogs-kmymoneypricedlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- kmymoney2/dialogs/kmymoneypricedlgdecl.ui.orig	Tue Sep 27 23:32:32 2005
-+++ kmymoney2/dialogs/kmymoneypricedlgdecl.ui	Tue Sep 27 23:32:42 2005
-@@ -217,7 +217,4 @@
-     <tabstop>m_closeButton</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneypriceview.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-knewaccountdlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-knewaccountdlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-knewaccountdlgdecl.ui
--- files/patch-kmymoney2_dialogs-knewaccountdlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,14 +0,0 @@
---- kmymoney2/dialogs/knewaccountdlgdecl.ui.orig	Tue Sep 27 23:37:32 2005
-+++ kmymoney2/dialogs/knewaccountdlgdecl.ui	Tue Sep 27 23:37:45 2005
-@@ -763,11 +763,4 @@
-     <tabstop>cancelButton</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyequity.h</includehint>
--    <includehint>kmymoneycurrencyselector.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-knewaccountwizarddecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-knewaccountwizarddecl.ui
diff -N files/patch-kmymoney2_dialogs-knewaccountwizarddecl.ui
--- files/patch-kmymoney2_dialogs-knewaccountwizarddecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,16 +0,0 @@
---- kmymoney2/dialogs/knewaccountwizarddecl.ui.orig	Tue Sep 27 23:41:35 2005
-+++ kmymoney2/dialogs/knewaccountwizarddecl.ui	Tue Sep 27 23:41:59 2005
-@@ -1519,13 +1519,4 @@
-     <tabstop>m_method</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneycurrencyselector.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneypayee.h</includehint>
--    <includehint>kmymoneycombo.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-knewequityentrydecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-knewequityentrydecl.ui
diff -N files/patch-kmymoney2_dialogs-knewequityentrydecl.ui
--- files/patch-kmymoney2_dialogs-knewequityentrydecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- kmymoney2/dialogs/knewequityentrydecl.ui.orig	Tue Sep 27 23:49:15 2005
-+++ kmymoney2/dialogs/knewequityentrydecl.ui	Tue Sep 27 23:49:33 2005
-@@ -233,7 +233,4 @@
-     <tabstop>btnCancel</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyedit.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-knewinvestmentwizarddecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-knewinvestmentwizarddecl.ui
diff -N files/patch-kmymoney2_dialogs-knewinvestmentwizarddecl.ui
--- files/patch-kmymoney2_dialogs-knewinvestmentwizarddecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,14 +0,0 @@
---- kmymoney2/dialogs/knewinvestmentwizarddecl.ui.orig	Tue Sep 27 23:52:33 2005
-+++ kmymoney2/dialogs/knewinvestmentwizarddecl.ui	Tue Sep 27 23:52:52 2005
-@@ -503,11 +503,4 @@
-     <tabstop>m_onlineSourceCombo</tabstop>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneycurrencyselector.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-knewloanwizarddecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-knewloanwizarddecl.ui
diff -N files/patch-kmymoney2_dialogs-knewloanwizarddecl.ui
--- files/patch-kmymoney2_dialogs-knewloanwizarddecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,28 +0,0 @@
---- kmymoney2/dialogs/knewloanwizarddecl.ui.orig	Tue Sep 27 23:54:48 2005
-+++ kmymoney2/dialogs/knewloanwizarddecl.ui	Tue Sep 27 23:56:21 2005
-@@ -5547,25 +5547,6 @@
- </images>
- <layoutdefaults spacing="6" margin="11"/>
- <includehints>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneylineedit.h</includehint>
--    <includehint>kmymoneypayee.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
-     <includehint>knuminput.h</includehint>
--    <includehint>kmymoneycombo.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>knuminput.h</includehint>
--    <includehint>kmymoneycombo.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyedit.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneyaccountselector.h</includehint>
--    <includehint>kmymoneydateinput.h</includehint>
- </includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-ksplittransactiondlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-ksplittransactiondlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-ksplittransactiondlgdecl.ui
--- files/patch-kmymoney2_dialogs-ksplittransactiondlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- kmymoney2/dialogs/ksplittransactiondlgdecl.ui.orig	Tue Sep 27 23:58:38 2005
-+++ kmymoney2/dialogs/ksplittransactiondlgdecl.ui	Tue Sep 27 23:58:50 2005
-@@ -382,7 +382,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneysplittable.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_dialogs-kupdatestockpricedlgdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_dialogs-kupdatestockpricedlgdecl.ui
diff -N files/patch-kmymoney2_dialogs-kupdatestockpricedlgdecl.ui
--- files/patch-kmymoney2_dialogs-kupdatestockpricedlgdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,12 +0,0 @@
---- kmymoney2/dialogs/kupdatestockpricedlgdecl.ui.orig	Wed Sep 28 00:00:28 2005
-+++ kmymoney2/dialogs/kupdatestockpricedlgdecl.ui	Wed Sep 28 00:00:44 2005
-@@ -310,9 +310,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneydateinput.h</includehint>
--    <includehint>kmymoneycurrencyselector.h</includehint>
--    <includehint>kmymoneysecurityselector.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_views-kbankviewdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_views-kbankviewdecl.ui
diff -N files/patch-kmymoney2_views-kbankviewdecl.ui
--- files/patch-kmymoney2_views-kbankviewdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- kmymoney2/views/kbankviewdecl.ui.orig	Wed Sep 28 00:43:39 2005
-+++ kmymoney2/views/kbankviewdecl.ui	Wed Sep 28 00:45:06 2005
-@@ -196,8 +196,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneytitlelabel.h</includehint>
--    <includehint>kmymoneyaccounttree.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_views-kcategoriesviewdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_views-kcategoriesviewdecl.ui
diff -N files/patch-kmymoney2_views-kcategoriesviewdecl.ui
--- files/patch-kmymoney2_views-kcategoriesviewdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- kmymoney2/views/kcategoriesviewdecl.ui.orig	Wed Sep 28 00:36:31 2005
-+++ kmymoney2/views/kcategoriesviewdecl.ui	Wed Sep 28 00:38:23 2005
-@@ -165,8 +165,4 @@
- <tabstops>
- </tabstops>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyaccounttree.h</includehint>
--    <includehint>kmymoneytitlelabel.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_views-kinvestmentviewdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_views-kinvestmentviewdecl.ui
diff -N files/patch-kmymoney2_views-kinvestmentviewdecl.ui
--- files/patch-kmymoney2_views-kinvestmentviewdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
---- kmymoney2/views/kinvestmentviewdecl.ui.orig	Wed Sep 28 00:13:37 2005
-+++ kmymoney2/views/kinvestmentviewdecl.ui	Wed Sep 28 00:13:48 2005
-@@ -173,8 +173,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneyaccountcombo.h</includehint>
--    <includehint>kmymoneytitlelabel.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_views-kpayeesviewdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_views-kpayeesviewdecl.ui
diff -N files/patch-kmymoney2_views-kpayeesviewdecl.ui
--- files/patch-kmymoney2_views-kpayeesviewdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,10 +0,0 @@
---- kmymoney2/views/kpayeesviewdecl.ui.orig	Wed Sep 28 00:30:13 2005
-+++ kmymoney2/views/kpayeesviewdecl.ui	Wed Sep 28 00:30:29 2005
-@@ -535,7 +535,4 @@
-     </image>
- </images>
- <layoutdefaults spacing="6" margin="11"/>
--<includehints>
--    <includehint>kmymoneytitlelabel.h</includehint>
--</includehints>
- </UI>
Index: files/patch-kmymoney2_views-kscheduledviewdecl.ui
===================================================================
RCS file: files/patch-kmymoney2_views-kscheduledviewdecl.ui
diff -N files/patch-kmymoney2_views-kscheduledviewdecl.ui
--- files/patch-kmymoney2_views-kscheduledviewdecl.ui	29 Sep 2005 13:37:43 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,12 +0,0 @@
---- kmymoney2/views/kscheduledviewdecl.ui.orig	Wed Sep 28 00:23:20 2005
-+++ kmymoney2/views/kscheduledviewdecl.ui	Wed Sep 28 00:23:47 2005
-@@ -193,9 +193,6 @@
- <includehints>
-     <includehint>qwidget.h</includehint>
-     <includehint>kpushbutton.h</includehint>
--    <includehint>kpushbutton.h</includehint>
-     <includehint>klistview.h</includehint>
--    <includehint>kmymoneyscheduledcalendar.h</includehint>
--    <includehint>kmymoneytitlelabel.h</includehint>
- </includehints>
- </UI>
Comment 1 Sam Lawrance freebsd_committer 2006-04-07 13:34:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lawrance

Since I just committed an obsolete PR, I had better take this one and 
fix things up.
Comment 2 Sam Lawrance freebsd_committer 2006-04-09 11:50:15 UTC
State Changed
From-To: open->closed

Committed, thanks! What a short life poor old 0.8.2 had.